#!/usr/bin/perl -w

my %doc;
my $cur;

while (<>) {
    if (m{^//-\s(.*)}) {
        if (defined $cur) {
            $doc{$cur} .= "$1\n";
        } else {
            $cur = $1;
            $doc{$cur} = "$1\n";
        }
    } elsif (defined($cur) && m{^//}) {
        warn "maybe missing '-'";
    } else {
        $cur = undef;
    }
}

foreach (sort keys %doc) {
    $x = $doc{$_};
    $x =~ s/^(.)/  $1/gm;
    print $x, "\n";
}
